var Ridge = require('ridge');

var app = new Ridge({
	collections: require('./collections'),
	models: require('./models'),
	views: require('./views')
});

app.module(require('spytext'));

$(function() {
	app.navigation = new app.views.Navigation({ el: app.$('nav') });
	app.snaptop = new app.views.SnapTop({ el: app.$('.snap-top-persistant') });

	Backbone.history.start({ silent: true, pushState: true });
	console.log(app)
});

